$schema: "https://json-schema.org/draft/2020-12/schema"
title: "DataSet"
type: "object"
description: >-
  A set of related files

properties:
  dataset_id:
    $ref: "../ids.json#/definitions/DataSetId"
  uri:
    type: string
    format: uri
  type:
    $ref: "#/definitions/DataSetType"
  source:
    type: string
  created_at:
    $ref: '../core.json#/definitions/UTCTimestamp'

required:
  - uri
  - type

definitions:
  DataSetType:
    description: Types of data sets
    type: string
    enum:
      - INCOMING_SEQUENCE
      - CUSTOMER_DATA
      - RUN_DIRECTORY
      - RETURNED_RESULTS
      - CONFIRMATION_RESULTS
      - STRAND_RETURN
      - OTHER
